"""Create a list of chains needed.

The list is created from the file
polymer_membrane_entities_cath_35homology_filtered.csv
"""
import pathlib
import csv

parent = pathlib.Path(__file__).parent.resolve()
ext_drive = pathlib.Path("/mnt/MEMBRANE/")

input_file = (
    parent / "../.." /
    "pipeline/2_35_homology_filter/" /
    "polymer_membrane_entities_cath_35homology_filtered.csv"
)

with open(input_file) as data_file:
    reader = csv.reader(data_file)
    dataset = list(reader)

output_file = ext_drive / "chains_list.csv"
with open(output_file, "w", encoding="utf-8") as data_file:
    writer = csv.writer(data_file)
    for row in dataset:
        if row[0] == "Entity ID":
            continue
        writer.writerow([row[0], row[6], row[7], row[15], f"{row[17]}"])
